Bug 208915 - Review Request: php-pear-PHPUnit - Regression testing framework for unit tests
Review Request: php-pear-PHPUnit - Regression testing framework for unit tests
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-02 12:46 EDT by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-08 12:00:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-10-02 12:46:38 EDT
Spec URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHPUnit.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/php-pear-PHPUnit-1.3.2-1.fc5.src.rpm
Description: 
PHPUnit is a regression testing framework used by the developer who
implements unit tests in PHP. This is the version to be used with PHP 4.

Developper should use PHPUnit2 with PHP5.

----
I think this extension still useful (when PHPUnit2 is available) to test older packages  which provide a test suite using this tools.

For exemple, to test php-pear-Console-Getargs, youd should run
cd /usr/share/pear/test/Console_Getargs/tests && php -q test.php
---
rpmlint does not complain.
build in mock : http://remi.collet.free.fr/rpms/extras/php-pear-PHPUnit-build.log
Comment 1 Jason Tibbitts 2006-10-02 21:15:10 EDT
I suggest you change the last line of the summary to:

  Developers should use PHPUnit2 with PHP5.

to be grammatical.  Other than that, everything is fine.

* source files match upstream:
   4b9dd2158e4035318481c93bbd59aaa5  PHPUnit-1.3.2.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   php-pear(PHPUnit) = 1.3.2
   php-pear-PHPUnit = 1.3.2-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   php >= 4.3.0
* %check is not present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.